import { GetOptions, config } from "@cdktf/provider-generator";
export declare enum GetStatus {
    STARTING = "starting",
    DOWNLOADING = "downloading and generating modules and providers",
    DONE = "done",
    ERROR = "error"
}
declare type StringDependencyConstraint = string;
declare type DependencyConstraint = config.TerraformDependencyConstraint | StringDependencyConstraint;
interface GetConfig {
    constraints: DependencyConstraint[];
    constructsOptions: GetOptions;
    onUpdate?: (payload: GetStatus) => void;
    reportTelemetry?: (telemetry: {
        targetLanguage: string;
        trackingPayload: Record<string, any>;
    }) => void;
}
export declare function get({ constructsOptions, constraints, onUpdate, // eslint-disable-line @typescript-eslint/no-empty-function
reportTelemetry, }: GetConfig): Promise<void>;
export {};
