export interface LocalProject {
    Description: string;
    Name: string;
}
export interface RemoteProject extends LocalProject {
    OrganizationName: string;
    WorkspaceName: string;
}
export declare type Project = LocalProject | RemoteProject;
export declare type InitArgs = {
    cdktfVersion?: string;
    destination: string;
    dist?: string;
    projectId: string;
    projectInfo: Project;
    templatePath: string;
};
export declare function init({ cdktfVersion, destination, dist, projectId, projectInfo, templatePath, }: InitArgs): Promise<void>;
export interface Deps {
    npm_cdktf: string;
    npm_cdktf_cli: string;
    pypi_cdktf: string;
    mvn_cdktf: string;
    nuget_cdktf: string;
    go_cdktf: string;
    cdktf_version: string;
    constructs_version: string;
}
export declare function determineDeps(version?: string, dist?: string): Promise<Deps>;
