import { DeployingResource, TerraformOutput } from "./models/terraform";
export declare type Outputs = {
    [key: string]: TerraformOutput;
};
export declare type OutputIdMapLeaf = {
    [constructId: string]: string;
};
export declare type OutputIdMapNode = {
    [stackOrConstructId: string]: OutputIdMap;
};
export declare type OutputIdMap = OutputIdMapLeaf | OutputIdMapNode;
export declare function saveOutputs(filePath: string, outputs: NestedTerraformOutputs, includeSensitiveOutputs: boolean): Promise<void>;
export declare function normalizeOutputPath(filePath: string): string;
export declare type NestedTerraformOutputs = {
    [key: string]: TerraformOutput;
} | {
    [key: string]: NestedTerraformOutputs;
};
export declare const parseOutput: (str: string) => DeployingResource[];
export declare const getConstructIdsForOutputs: (stackContent: Record<string, any>, outputs: {
    [key: string]: TerraformOutput;
}) => NestedTerraformOutputs;
